Index: include/libroar/ctl.h
===================================================================
--- include/libroar/ctl.h	(revision 5112)
+++ include/libroar/ctl.h	(revision 5236)
@@ -46,8 +46,6 @@
 int roar_set_standby   (struct roar_connection * con, int state) _LIBROAR_CTL_STDATTRS;
 
-int roar_exit           (struct roar_connection * con) _LIBROAR_CTL_STDATTRS _LIBROAR_ATTR_DEPRECATED;
 int roar_terminate      (struct roar_connection * con, int terminate) _LIBROAR_CTL_STDATTRS;
-int roar_server_oinfo   (struct roar_connection * con, struct roar_stream * s) _LIBROAR_CTL_STDATTRS _LIBROAR_ATTR_DEPRECATED;
-int roar_server_oinfo2  (struct roar_connection * con, struct roar_stream * s, int dir) _LIBROAR_CTL_STDATTRS;
+int roar_server_oinfo   (struct roar_connection * con, struct roar_stream * s, int dir) _LIBROAR_CTL_STDATTRS;
 
 
@@ -67,6 +65,5 @@
 int roar_kick         (struct roar_connection * con, int type, int id) _LIBROAR_ATTR_NONNULL_ALL;
 
-int roar_set_vol      (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int   channels) _LIBROAR_CTL_STDATTRS _LIBROAR_ATTR_DEPRECATED;
-int roar_set_vol2     (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int   channels, int mode) _LIBROAR_CTL_STDATTRS;
+int roar_set_vol      (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int   channels, int mode) _LIBROAR_CTL_STDATTRS;
 int roar_get_vol      (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int * channels) _LIBROAR_CTL_STDATTRS;
 
Index: libroar/ctl.c
===================================================================
--- libroar/ctl.c	(revision 5189)
+++ libroar/ctl.c	(revision 5236)
@@ -57,9 +57,5 @@
 }
 
-int roar_server_oinfo   (struct roar_connection * con, struct roar_stream * s) {
- return roar_server_oinfo2(con, s, -1);
-}
-
-int roar_server_oinfo2  (struct roar_connection * con, struct roar_stream * s, int dir) {
+int roar_server_oinfo  (struct roar_connection * con, struct roar_stream * s, int dir) {
  struct roar_message mes;
 
@@ -126,8 +122,4 @@
 }
 
-int roar_exit   (struct roar_connection * con) {
- return roar_terminate(con, 0);
-}
-
 int roar_terminate (struct roar_connection * con, int terminate) {
  struct roar_message mes;
@@ -232,9 +224,5 @@
 }
 
-int roar_set_vol      (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int channels) {
- return roar_set_vol2(con, id, mixer, channels, ROAR_SET_VOL_ALL);
-}
-
-int roar_set_vol2     (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int   channels, int mode) {
+int roar_set_vol     (struct roar_connection * con, int id, struct roar_mixer_settings * mixer, int   channels, int mode) {
  struct roar_message m;
  uint16_t * info = (uint16_t *) m.data;
Index: libroar/vs.c
===================================================================
--- libroar/vs.c	(revision 5227)
+++ libroar/vs.c	(revision 5236)
@@ -1151,5 +1151,5 @@
   mode = ROAR_SET_VOL_UNMAPPED;
 
- if ( roar_set_vol2(vss->con, roar_stream_get_id(&(vss->stream)), &mixer, channels, mode) == 0 )
+ if ( roar_set_vol(vss->con, roar_stream_get_id(&(vss->stream)), &mixer, channels, mode) == 0 )
   return 0;
 
@@ -1167,5 +1167,5 @@
  mode     = ROAR_SET_VOL_ALL;
 
- if ( roar_set_vol2(vss->con, roar_stream_get_id(&(vss->stream)), &mixer, channels, mode) == -1 ) {
+ if ( roar_set_vol(vss->con, roar_stream_get_id(&(vss->stream)), &mixer, channels, mode) == -1 ) {
   _seterrre();
   return -1;
Index: libroaresd/esdctl.c
===================================================================
--- libroaresd/esdctl.c	(revision 5233)
+++ libroaresd/esdctl.c	(revision 5236)
@@ -356,5 +356,5 @@
                 esd, stream_id, left_scale, right_scale);
 
- return roar_set_vol2(&con, stream_id, &mixer, 2, ROAR_SET_VOL_UNMAPPED);
+ return roar_set_vol(&con, stream_id, &mixer, 2, ROAR_SET_VOL_UNMAPPED);
 }
 
Index: libroaross/libroaross.c
===================================================================
--- libroaross/libroaross.c	(revision 5234)
+++ libroaross/libroaross.c	(revision 5236)
@@ -1068,5 +1068,5 @@
    mixer.mixer[0] = ( *ip       & 0xFF);
    mixer.mixer[1] = ((*ip >> 8) & 0xFF);
-   if ( roar_set_vol2(&(handle->session->con), o_sid, &mixer, 2, ROAR_SET_VOL_UNMAPPED) == -1 ) {
+   if ( roar_set_vol(&(handle->session->con), o_sid, &mixer, 2, ROAR_SET_VOL_UNMAPPED) == -1 ) {
     errno = EIO;
     return -1;
Index: libroarpulse/introspect.c
===================================================================
--- libroarpulse/introspect.c	(revision 4893)
+++ libroarpulse/introspect.c	(revision 5236)
@@ -53,5 +53,5 @@
   return roar_pa_op_new_done();
 
- if ( roar_server_oinfo2(roar_pa_context_get_con(c), &stream, ROAR_DIR_PLAY) == -1 )
+ if ( roar_server_oinfo(roar_pa_context_get_con(c), &stream, ROAR_DIR_PLAY) == -1 )
   return roar_pa_op_new_done();
 
@@ -102,5 +102,5 @@
   return roar_pa_op_new_done();
 
- if ( roar_server_oinfo2(roar_pa_context_get_con(c), &stream, ROAR_DIR_PLAY) == -1 )
+ if ( roar_server_oinfo(roar_pa_context_get_con(c), &stream, ROAR_DIR_PLAY) == -1 )
   return roar_pa_op_new_done();
 
Index: libroarsndio/para.c
===================================================================
--- libroarsndio/para.c	(revision 4891)
+++ libroarsndio/para.c	(revision 5236)
@@ -173,5 +173,5 @@
   return 0;
 
- if ( roar_server_oinfo2(&(hdl->con), &s, ROAR_DIR_PLAY) == -1 )
+ if ( roar_server_oinfo(&(hdl->con), &s, ROAR_DIR_PLAY) == -1 )
   return 0;
 
Index: libroarsndio/volume.c
===================================================================
--- libroarsndio/volume.c	(revision 5235)
+++ libroarsndio/volume.c	(revision 5236)
@@ -66,5 +66,5 @@
  mixer.mixer[0] = vol;
 
- if ( roar_set_vol2(&(hdl->con), roar_stream_get_id(&(hdl->stream)), &mixer, 0, ROAR_SET_VOL_UNMAPPED) == -1 )
+ if ( roar_set_vol(&(hdl->con), roar_stream_get_id(&(hdl->stream)), &mixer, 0, ROAR_SET_VOL_UNMAPPED) == -1 )
   return 0;
 
@@ -72,5 +72,5 @@
   mixer.mixer[i] = vol;
 
- if ( roar_set_vol2(&(hdl->con), roar_stream_get_id(&(hdl->stream)), &mixer, hdl->info.channels, ROAR_SET_VOL_ALL) == -1 )
+ if ( roar_set_vol(&(hdl->con), roar_stream_get_id(&(hdl->stream)), &mixer, hdl->info.channels, ROAR_SET_VOL_ALL) == -1 )
   return 0;
 
Index: plugins/gstreamer0.10/roarmixer.c
===================================================================
--- plugins/gstreamer0.10/roarmixer.c	(revision 5235)
+++ plugins/gstreamer0.10/roarmixer.c	(revision 5236)
@@ -311,5 +311,5 @@
  m.scale = 65535;
 
- _LIBROAR_IGNORE_RET(roar_set_vol2(&(mixer->con), roartrack->stream_id, &m, channels, mode));
+ _LIBROAR_IGNORE_RET(roar_set_vol(&(mixer->con), roartrack->stream_id, &m, channels, mode));
 }
 
Index: plugins/gstreamer0.10/roarsink.c
===================================================================
--- plugins/gstreamer0.10/roarsink.c	(revision 5235)
+++ plugins/gstreamer0.10/roarsink.c	(revision 5236)
@@ -251,5 +251,5 @@
     goto couldnt_connect;
 
-  if ( roar_server_oinfo2(roar_vs_connection_obj(roarsink->vss, NULL), &oinfo, ROAR_DIR_PLAY) == -1 )
+  if ( roar_server_oinfo(roar_vs_connection_obj(roarsink->vss, NULL), &oinfo, ROAR_DIR_PLAY) == -1 )
     goto no_server_info;
 
Index: plugins/xmms/roar.c
===================================================================
--- plugins/xmms/roar.c	(revision 5235)
+++ plugins/xmms/roar.c	(revision 5236)
@@ -371,5 +371,5 @@
  mixer.scale    = 100;
 
- _LIBROAR_IGNORE_RET(roar_set_vol2(&(g_inst.con), g_inst.stream.id, &mixer, 2, ROAR_SET_VOL_UNMAPPED));
+ _LIBROAR_IGNORE_RET(roar_set_vol(&(g_inst.con), g_inst.stream.id, &mixer, 2, ROAR_SET_VOL_UNMAPPED));
 }
 
Index: roarclients/roarctl.c
===================================================================
--- roarclients/roarctl.c	(revision 5209)
+++ roarclients/roarctl.c	(revision 5236)
@@ -330,5 +330,5 @@
  struct roar_stream s;
 
- if ( roar_server_oinfo2(con, &s, dir) == -1 ) {
+ if ( roar_server_oinfo(con, &s, dir) == -1 ) {
   fprintf(stderr, "Error: can not get server output info\n");
   return;
@@ -813,5 +813,5 @@
  }
 
- if ( roar_set_vol2(con, id, &mixer, chans, mode) == 0 )
+ if ( roar_set_vol(con, id, &mixer, chans, mode) == 0 )
   return 0;
 
@@ -826,5 +826,5 @@
  mode  = ROAR_SET_VOL_ALL;
 
- if ( roar_set_vol2(con, id, &mixer, chans, mode) == 0 )
+ if ( roar_set_vol(con, id, &mixer, chans, mode) == 0 )
   return 0;
 
